/*
 * Copyright (c) 2026 QPQ IaaS AG <info@qpq.swiss>. All rights reserved.
 */

package swiss.qpq.gajumobile.security

import swiss.qpq.gajumaru.core.tools.SigningProvider

/**
 * NativeSigningProvider implements SigningProvider by delegating to libsodium
 * via GajuNative.
 */
class NativeSigningProvider : SigningProvider {

    override fun cryptoSignSeedKeypair(seed: ByteArray): ByteArray? {
        return GajuNative.cryptoSignSeedKeypair(seed)
    }

    override fun cryptoSignDetached(message: ByteArray, secretKey: ByteArray): ByteArray? {
        return GajuNative.cryptoSignDetached(message, secretKey)
    }
}
